LibreOffice: XFunctions Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XFunctions Interface Reference

This interface specifies the functions collections of the report definition or a group. More...

Inheritance diagram for XFunctions:

## Exported Interfaces
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container.
interface | com::sun::star::container::XIndexContainer
| gives access to the group elements.
interface | com::sun::star::container::XChild
| allows the navigation to the report or group object.
interface | com::sun::star::lang::XComponent
| allows life-time control of the functions instance.

## Public Member Functions
com::sun::star::report::XFunction | createFunction ()
| factory method for XFunction.
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index.
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

This interface specifies the functions collections of the report definition or a group.

See also
  XFunction
  XReportDefinition

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

allows the navigation to the report or group object.

The method setParent from XChild is not supported and will throw an exception when called.

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer

allows to register listeners to be notified of changes in the container.

## ◆ com::sun::star::container::XIndexContainer

interface com::sun::star::container::XIndexContainer

gives access to the group elements.

The elements are of type XFunction.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows life-time control of the functions instance.

## Member Function Documentation

## ◆ createFunction()

com::sun::star::report::XFunction createFunction | ( |  | ) |

factory method for XFunction.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XFunctions.idl